# Contributing

You want to contribute to this project? Well, first, thank you for helping us!

First, let's talk about your ideas by [opening an issue][app-issue-choose]. Please note that we
have a [code of conduct][code-of-conduct], to encourage people to create a welcoming and friendly
space for everyone.

## Report a bug

You noticed a bug in the application? Catastrophe :scream:

Please send a [bug report][app-issue-bug] via the GitHub issue interface, as detailed as you can :wink: 

## Pull Request Process

1. Update the `README.md` with details of changes to the interface, this includes new environment 
   variables, exposed ports, useful file locations and container parameters.
2. Update the `CHANGELOG.md` with full details of the Pull Request.
3. Increase the version numbers in `pubspec.yaml` to the new version that
   this Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
4. Don't forget to add your name or your organization name to the [`CONTRIBUTORS.md`][contributors]
   file.
5. You may merge the Pull Request in once you have the sign-off of at least one other developer.

[app-issue-choose]: https://github.com/Cynnexis/notifiable_iterables/issues/new/choose
[app-issue-bug]: https://github.com/Cynnexis/notifiable_iterables/issues/new?assignees=&labels=&template=bug-report.md&title=
[code-of-conduct]: CODE_OF_CONDUCT.md
[contributors]: CONTRIBUTORS.md
